<!--
    Input:
        device/xiaomi/gale/product/nfc/hw/matrix/framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/mfidoca/vendor_framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/mlipay/vendor_framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/mtdservice/vendor_framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/tidaservice/vendor_framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/vsimapp/vendor_framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/isee/thh/vendor_framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/isee/soter/vendor_framework_compatibility_matrix.xml
        device/xiaomi/gale/device_framework_compatibility_matrix/hardware/vendor_framework_compatibility_matrix.xml
        device/xiaomi/missi/device_framework_compatibility_matrix/mrm/vendor_framework_compatibility_matrix.xml
-->
<compatibility-matrix version="7.0" type="framework">
    <hal format="aidl" optional="true">
        <name>android.hardware.vibrator</name>
        <version>1-2</version>
        <interface>
            <name>IVibrator</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.microtrust.hardware.soter</name>
        <version>1.0</version>
        <interface>
            <name>ISoter</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.microtrust.hardware.thh</name>
        <version>2.0</version>
        <interface>
            <name>IThhDevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.nxp.nxpnfc</name>
        <version>2.0</version>
        <interface>
            <name>INxpNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.nxp.nxpnfclegacy</name>
        <version>1.0</version>
        <interface>
            <name>INxpNfcLegacy</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.tms.tmsese</name>
        <version>1.0</version>
        <interface>
            <name>ITmsEse</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.tms.tmsnfc</name>
        <version>1.0</version>
        <interface>
            <name>ITmsNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.xiaomi.hardware.mfidoca</name>
        <version>1.0</version>
        <interface>
            <name>IFidoService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.xiaomi.hardware.mlipay</name>
        <version>1.0-1</version>
        <interface>
            <name>IMlipayService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.xiaomi.hardware.mrm</name>
        <interface>
            <name>IMrm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.xiaomi.hardware.mrm</name>
        <interface>
            <name>IMiCertificate</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.xiaomi.hardware.mrm</name>
        <interface>
            <name>IMrmRemoteAuth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.xiaomi.hardware.mtdservice</name>
        <version>1.0-3</version>
        <interface>
            <name>IMTService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.xiaomi.hardware.soterservice</name>
        <version>1.0</version>
        <interface>
            <name>ISoter</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.xiaomi.hardware.tidaservice</name>
        <version>1.0-2</version>
        <interface>
            <name>ITidaService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.xiaomi.hardware.vsimapp</name>
        <version>1.0</version>
        <interface>
            <name>IVSIMService</name>
            <instance>default</instance>
        </interface>
    </hal>
</compatibility-matrix>
